﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ClearSelectionOnGrouping
{
    public class DataModel : INotifyPropertyChanged
    {
        private string customerName;

        public string CustomerName
        {
            get { return customerName; }
            set { customerName = value; OnPropertyChanged("CustomerName"); }
        }
        private int productID;

        public int ProductID
        {
            get { return productID; }
            set { productID = value; OnPropertyChanged("ProductID"); }
        }
        private int customerAge;

        public int CustomerAge
        {
            get { return customerAge; }
            set { customerAge = value; OnPropertyChanged("CustomerAge"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    }
}
