﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ClearSelectionOnGrouping
{
    public class TestViewModel
    {
        public TestViewModel()
        {
            MyInspectionItems = new ObservableCollection<InspectionItem>();

            MyProperty = new ObservableCollection<DataModel>();

            MyInspectionItems.Add(new InspectionItem() { Id = "PointId", NewValue = "001", DataType="string" });
            MyInspectionItems.Add(new InspectionItem() { Id = "PrevRdg", NewValue = 1.11, DataType = "decimal" });
            MyInspectionItems.Add(new InspectionItem() { Id = "NewMinWT", NewValue = 1.12, DataType = "decimal" });
            MyInspectionItems.Add(new InspectionItem() { Id = "PointId", NewValue = "002", DataType = "string" });
            MyInspectionItems.Add(new InspectionItem() { Id = "PrevRdg", NewValue = 2.21, DataType = "decimal" });
            MyInspectionItems.Add(new InspectionItem() { Id = "NewMinWT", NewValue = 2.22, DataType = "decimal" });
            MyInspectionItems.Add(new InspectionItem() { Id = "PointId", NewValue = "003", DataType = "string" });
            MyInspectionItems.Add(new InspectionItem() { Id = "PrevRdg", NewValue = 3.31, DataType = "decimal" });
            MyInspectionItems.Add(new InspectionItem() { Id = "NewMinWT", NewValue = 3.33, DataType = "decimal" });
            MyInspectionItems.Add(new InspectionItem() { Id = "PointId", NewValue = "004", DataType = "string" });
            MyInspectionItems.Add(new InspectionItem() { Id = "PrevRdg", NewValue = 4.42, DataType = "decimal" });
            MyInspectionItems.Add(new InspectionItem() { Id = "NewMinWT", NewValue = 4.45, DataType = "decimal" });



            for (int i = 0; i < 10; i++)
            {
                MyProperty.Add(new DataModel() { CustomerName = "Thomas", ProductID = 212, CustomerAge = 35 });
                MyProperty.Add(new DataModel() { CustomerName = "Vincent", ProductID = 675, CustomerAge = 43 });
                MyProperty.Add(new DataModel() { CustomerName = "John", ProductID = 156, CustomerAge = 34 });
                MyProperty.Add(new DataModel() { CustomerName = "Albert", ProductID = 234, CustomerAge = 30 });
                MyProperty.Add(new DataModel() { CustomerName = "Lincon", ProductID = 112, CustomerAge = 55 });
                MyProperty.Add(new DataModel() { CustomerName = "James", ProductID = 110, CustomerAge = 50 });
            }
        }

        public ObservableCollection<DataModel> MyProperty { get; set; }
        public ObservableCollection<InspectionItem> MyInspectionItems { get; set; }

    }

    public class InspectionItem {

        public string Id { get; set; }
        public object NewValue { get; set; }

        public string DataType { get; set; }
    }
}
